Subject: Re: bug#41423: Installing the fix for bug#41423 on emacs-27

From: Stefan Monnier <[email-masked]>
Date: Fri, 23 Apr 2021 18:14:19 -0400

> I have been testing the 'minimalist version of the patch'.
>
> And I have found this issue:
> --8<---------------cut here---------------start------------->8---
> http://debbugs.gnu.org/47389
> --8<---------------cut here---------------end--------------->8---
>
> For fixing that issue. I have added a tiny modification. to the
> 'minimalist version of the patch'
> which is:
> --8<---------------cut here---------------start------------->8---
> -	 (if glob-name
> +	 (if (and (boundp 'glob-name) glob-name)
> --8<---------------cut here---------------end--------------->8---
>
> That change let me workaround bug#47389.
> The change is OK?

No, the missing part is the `-*- lexical-binding:t -*-` on the first
line of the file in which you place that code.

The above workaround you found might mostly work OK, tho; I suspect it
will just mis-complete when you use a command name like `*foo`.

        Stefan